Builds

Get metadata artifact

Get details of a single metadata artifact attached to a build. Requires builds:read scope.

GET/applications/{application_id}/builds/{build_id}/metadata/{artifact_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Path Parameters

application_id*string

Application ID.

build_id*string

Build ID.

artifact_id*string

Metadata artifact ID (UUID).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comapplications/aBc1234/builds/xYz9876/metadata/550e8400-e29b-41d4-a716-446655440002" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "Metadata artifact retrieved successfully.",  "data": {    "id": "550e8400-e29b-41d4-a716-446655440002",    "filename": "Info.plist",    "size_bytes": 4096,    "size_string": "4.00 KB",    "checksum_md5": "098f6bcd4621d373cade4e832627b4f6",    "metadata_filetype": {      "identifier": "info-plist",      "name": "Info.plist",      "extension": "plist"    },    "created_at": "2025-06-10T09:15:00.000000Z",    "updated_at": "2025-06-15T14:30:00.000000Z"  }}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}
Empty